# Report Context

This module adds a context variable to reports. A possible use for this context could be hiding some fields or many other configuration options.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To configure this module, you need to:

- Enter Odoo in debug mode.
- To add a specific context to a report, you should go to Settings -> Reports -> Reporting and look for the report you want to edit on the list. You will see that now they contain a new field called Context Value , where you will be able to add all the desired context parameters.
- Go to Settings -> Parameters -> System Parameters. On the system parameters list, look for report.default.context, which is a Python dictionary variable where you can add a context that will be common for all reports.

It can also be added on the developer side using:

    <record id="model_name.report_id" model="ir.actions.report">
        <field name="context">YOUR CONTEXT HERE</field>
    </record>

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Creu Blanca

## Contributors

- Jaime Arroyo <jaime.arroyo@creublanca.es>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/reporting-engine project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.